#ifndef main_h_
#define main_h_

#include <avr/interrupt.h>
#include <avr/sleep.h>
#include "mydefs.h"

//			Target: ATtiny48

#define	F_CPU			1e6		// 1MHz

#define KEY_PULLUP		PORTB
#define KEY_PIN			~PINB		// Input low active
#define KEY0			0

#define	PCINT_vect		PCINT0_vect	// PCINT7..0
#define	PCICR_ENABLE		PCIE0		// PCINT7..0
#define	PCMSK_REG		PCMSK0		// PCINT7..0
#define	PCINT_BIT		KEY0		// PCINT0

#define	LED_PORT		PORTD
#define LED_DDR			DDRD

#define UNUSED			PORTC


#endif

